varnishtop segfaults

Bug #708939 reported by Mike C on 2011-01-27
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
varnish (Ubuntu)
Undecided
Artur Rona
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Artur Rona

Bug Description

IMPACT:
    Size allocation of array in varnishtop causes segfault crash

FIX:
    Better allocation of array size

    - unsigned char rec[4];
    + unsigned char rec[SHMLOG_DATA-1];

PATCH:
    Debdiffs for lucid and maverick attached at end of thread

TEST:
    Run varnishtop
    $ varnishtop
    list length 0Segmentation fault

REGRESSION:
    Patch is specific to varnishtop, which crashes on start, but should not affect any of the other package components so regression potential should be low

********** ORIGINAL MESSAGE *********

Binary package hint: varnish

varnishtop segfaults on 32bit 10.04. My Varnish package version is 2.1.0-2.

Example:

# varnishtop
list length 0Segmentation fault
#

Changed in varnish (Ubuntu):
status: New → Confirmed

varnish (2.1.3-8ubuntu1) natty; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Fixed upstream in version 2.1.4 (LP: #708939)

https://edge.launchpad.net/~sevenmachines/+archive/release+1/+packages

Properly close bug version

linux86 (0.16.17-3.1ubuntu2) natty; urgency=low

  * debian/rules:
      - Replace i486-linux-gnu search with i686-linux-gnu so that elksemu will
      be installed. (LP: #706635)

Ignore last post, that was obviously posted on the wrong bug :)

Artur Rona (ari-tczew) wrote :

2.1.4 is in Debian experimental and I'm testing it right now. If test pass fine, I'll upload a sync.

Thank you for your contribution!

Changed in varnish (Ubuntu):
assignee: nobody → Artur Rona (ari-tczew)
status: Confirmed → In Progress
Artur Rona (ari-tczew) wrote :

SevenMachines, could you prepare debdiff SRUs for lucid and maverick?

Artur Rona (ari-tczew) wrote :

OK, built fine, uploading.

Changed in varnish (Ubuntu Natty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package varnish - 2.1.4-1

---------------
varnish (2.1.4-1) experimental; urgency=low

  * New upstream version
  * Update symbols file for 2.1.4
  * Cherry-pick fix for upstream bug #801. Remove duplicate Content-
    Length header
 -- SevenMachines <email address hidden> Wed, 03 Nov 2010 16:44:08 +0100

Changed in varnish (Ubuntu Natty):
status: Fix Committed → Fix Released

thanks artur, I'll try to look at sru's tomorrow

LUCID

varnish (2.1.0-2ubuntu0.1) lucid; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Fixed upstream in version 2.1.4 (LP: #708939)

MAVERICK

varnish (2.1.3-7ubuntu0.1) maverick; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Fixed upstream in version 2.1.4 (LP: #708939)

description: updated
Artur Rona (ari-tczew) wrote :

1) Please change targets in debian/changelog to *-proposed, so lucid-proposed and maverick-proposed.

2) Please use short URLs in DEP3 tags, so:
Bug-Ubuntu: https://launchpad.net/bugs/708939

3) Could you research where this change has been applied upstream? Look on git upstream or something, find the commit which includes your patch and then add tag Origin.

Thanks!

No problems,

LUCID:

varnish (2.1.0-2ubuntu0.1) lucid-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Fixed upstream in version 2.1.4 (LP: #708939)

MAVERICK:

varnish (2.1.3-7ubuntu0.1) maverick-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Fixed upstream in version 2.1.4 (LP: #708939)

Artur Rona (ari-tczew) wrote :

I added DEP3 tags Bug and Author. Description in debian/changelog also improved.

Thank you for your contribution!

Changed in varnish (Ubuntu Maverick):
status: New → Fix Committed
Artur Rona (ari-tczew) wrote :

The same for lucid as for maverick.

Thank you for your contribution!

Changed in varnish (Ubuntu Lucid):
status: New → Fix Committed

Accepted varnish into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Didn't I upload it to lucid, as well?

Accepted varnish into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Michael Conigliaro and SevenMachines, could you test packages from -proposed reffering to Martin's comment? Thanks.

verified working on maverick varnish_2.1.3-7ubuntu0.1

sorry, amd64 maverick to be clear

Martin Pitt (pitti) on 2011-02-13
tags: added: verification-done
removed: verification-needed
summary: - varnishtop segfault
+ varnishtop segfaults
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package varnish - 2.1.3-7ubuntu0.1

---------------
varnish (2.1.3-7ubuntu0.1) maverick-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Cherry-pick from fixed 2.1.4. (LP: #708939)
 -- SevenMachines <email address hidden> Sat, 29 Jan 2011 09:27:10 +0000

Changed in varnish (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package varnish - 2.1.0-2ubuntu0.1

---------------
varnish (2.1.0-2ubuntu0.1) lucid-proposed; urgency=low

  * debian/patches/varnishtop-arrayalloc-fix.diff:
    - Fix array size allocation. Cherry-pick from fixed 2.1.4. (LP: #708939)
 -- SevenMachines <email address hidden> Sat, 29 Jan 2011 09:24:01 +0000

Changed in varnish (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers